Bug 868853 - Winsync: DS error logs report wrong version of Windows AD when winsync is configured.
Summary: Winsync: DS error logs report wrong version of Windows AD when winsync is con...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks: 881827
TreeView+ depends on / blocked
 
Reported: 2012-10-22 09:51 UTC by Sankar Ramalingam
Modified: 2013-02-21 08:21 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-4.el6
Doc Type: Bug Fix
Doc Text:
Cause: When enabling replication level logging, winsync prints out what version of Windows/AD it detects. If it detects win2k3 or later, it prints out "detected win2k3 peer". Consequence: This can be confusing if you are running a later version, such as win2k8 Fix: This patch changes the message to match this logic by printing "detected win2k3 or later peer". Result: The version string is now less confusing and accurate.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:21:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Sankar Ramalingam 2012-10-22 09:51:15 UTC
Description of problem: When winsync is configured, DS error logs prints wrong version of Windows server. It prints "windows_conn_connect : detected Win2k3 peer". Where as the version which is configured is windows 2008.


Version-Release number of selected component (if applicable): 389-ds-base-1.2.11

How reproducible: Consistently

Steps to Reproduce:
1. Install the latest build of 389-ds-base-1.2.11 on RHEL64.
2. Create an instance and configure winsync.
3. Set DS error logs with nsslapd-errorlog-level: 8192
4. Check the version of windows server - search for "windows_conn_connect" string in the DS error logs.
  
Actual results: It prints "detected Win2k3 peer"

Expected results: It should print "detected Win2k8 peer" or "detected Win2k8r2  peer" depending on what exact windows version is configured.


Additional info:

Comment 2 Rich Megginson 2012-10-23 17:45:16 UTC
Note that the detection is really looking for win2k3 _or later_, so the error message should say "detected win2k3 or later peer".

Comment 3 Nathan Kinder 2012-11-06 15:25:59 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/503

Comment 4 Nathan Kinder 2012-11-12 16:09:13 UTC
This has been checked in upstream:

master - e3357b44187acf3f43ad52a62c78911bea620b88
389-ds-base-1.2.11 - 98b809ba580530d9418e7bbf857e1ff2b79f75c8

Comment 6 Sankar Ramalingam 2012-11-20 11:40:55 UTC
Upgraded the existing 389-ds-base package for the existing winsync setup and observed that the error message is changed.
windows_conn_connect : detected Win2k3 or later peer

Hence marking the bug as Verified.

Comment 7 errata-xmlrpc 2013-02-21 08:21:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.